Bug 507705 - Backport of dynamic memory attachment into RHEL5
Backport of dynamic memory attachment into RHEL5
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
s390x Linux
medium Severity medium
: rc
: ---
Assigned To: Hans-Joachim Picht
Red Hat Kernel QE team
:
Depends On:
Blocks: 533192
  Show dependency treegraph
 
Reported: 2009-06-23 16:22 EDT by Shawn Wells
Modified: 2014-07-24 23:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-09 23:09:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Wells 2009-06-23 16:22:41 EDT
Customer (Capital One) requests the backporting of Bugzilla 463825, "[LTC 6.0 FEAT] 201756:Linux support for dynamic memory attach" into RHEL5 for System z (s390x architecture).

Is this feasible?
Comment 1 Brad Hinson 2009-06-24 11:51:41 EDT
For reference, from bug 463825 for RHEL 6:
---


=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-24 13:51 EDT
1. Feature Overview:
Feature Id: [201756]
a. Name of Feature: Linux support for dynamic memory attach
b. Feature Description
This feature provides the platform enablement for dynamic memory management

2. Feature Details:
Sponsor: zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category: RAS
Request Type: Kernel - Enhancement from IBM
d. Upstream Acceptance: Accepted
Sponsor Priority 1
f. Severity: High
IBM Confidential: no
Code Contribution: IBM code
g. Component Version Target: 2.6.27

3. Business Case
This feature will allow the customer to have better high availability in their
system by not having
to restart the system to use more memory.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 6 RHEL Product and Program Management 2010-12-07 05:00:35 EST
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.6 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 7 RHEL Product and Program Management 2011-06-20 17:21:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.7 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 9 RHEL Product and Program Management 2012-01-09 08:56:07 EST
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.8 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 10 RHEL Product and Program Management 2012-10-30 01:57:46 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 11 RHEL Product and Program Management 2014-03-07 07:42:49 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 12 Shawn Wells 2014-03-09 23:09:04 EDT
Was unaware this BZ was still open. Closing per comment #8.

Note You need to log in before you can comment on or make changes to this bug.